Subject: Re: PREFER_NATIVE useless?
To: None <>
From: Aaron J. Grier <>
List: tech-pkg
Date: 12/08/2005 21:10:04
On Wed, Dec 07, 2005 at 02:24:29PM +0000, Patrick Welche wrote:
> On Tue, Dec 06, 2005 at 10:32:34PM -0800, Aaron J. Grier wrote:
> > - firefox/mozilla is a big pain, because the current patches assume
> >   a newer version of freetype2 than is installed natively.  I would
> >   have put in the necessary #ifdef checks to support BOTH, but I
> >   don't know how to handle .idl files.
> Off-topic, but related - is there an "easy" way of telling xsrc to use
> a different freetype2 than the one in xsrc? (Combined with the above,
> it is hard not to have 2 freetypes on the go, so now which one do you
> link to..)

easy?  no.  basically grep through pkgsrc Makefile{.common} and .mk
files to see if anything is requiring a newer freetype2 than you have
installed natively.

the lazy way is to build things in pkg_comp and then see if any
dependencies on freetype2 come up, pkg_delete -r freetype2, then modify
them, and recompile.

  Aaron J. Grier | "Not your ordinary poofy goof." |
              "silly brewer, saaz are for pils!"  --  virt